from at_django_boilerplate.user_activity.models import SessionConsentModel

def user_consent_received(request):
    consent = SessionConsentModel.objects.filter(
        session_id=request.session.session_key
    ).first()

    return {
        'consent_received': consent.consent_received if consent else False
    }
